%define qtver 4.7

Name: pyside
Version: 1.0.3
Release: 2
License: LGPLv2+
Summary: The PySide project provides LGPL-licensed Python bindings for the Qt
Group: Development/KDE and Qt
URL: http://www.pyside.org
Source0: http://www.pyside.org/files/%name-qt%{qtver}+%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: cmake
BuildRequires: qt4-devel
BuildRequires: phonon-devel
BuildRequires: generatorrunner-devel >= 0.6.10
BuildRequires: shiboken-devel >= %{version}
Buildrequires: python-devel
Requires: pyside-phonon
Requires: pyside-core
Requires: pyside-declarative
Requires: pyside-gui
Requires: pyside-help
Requires: pyside-multimedia
Requires: pyside-network
Requires: pyside-opengl
Requires: pyside-script
Requires: pyside-scripttools
Requires: pyside-sql
Requires: pyside-test
Requires: pyside-xmlpatterns
Requires: pyside-xml
Requires: pyside-uitools
Requires: pyside-svg
Requires: pyside-webkit

%description
The PySide project provides LGPL-licensed Python bindings for the Qt
cross-platform application and UI framework. PySide Qt bindings allow both free
open source and proprietary software development and ultimately aim to support
all of the platforms as Qt itself.

%files

#------------------------------------------------------------------------------

%package phonon
Summary: PySide phonon module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description phonon
PySide phonon module.

%files phonon
%defattr(-,root,root,-)
%py_platsitedir/PySide/phonon.so
%_datadir/PySide/typesystems/typesystem_phonon.*

#------------------------------------------------------------------------------

%package core
Summary: PySide core module
Group: Development/KDE and Qt

%description core
PySide core module.

%files core
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtCore.so
%py_platsitedir/PySide/__init__.py
%py_platsitedir/PySide/private.py
%_datadir/PySide/typesystems/typesystem_core*
%_datadir/PySide/typesystems/typesystem_templates.*

#------------------------------------------------------------------------------

%package declarative
Summary: PySide declarative module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description declarative
PySide declarative module.

%files declarative
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtDeclarative.so
%_datadir/PySide/typesystems/typesystem_declarative.*

#------------------------------------------------------------------------------

%package gui
Summary: PySide gui module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description gui
PySide gui module.

%files gui
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtGui.so
%_datadir/PySide/typesystems/typesystem_gui*

#------------------------------------------------------------------------------

%package help
Summary: PySide help module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description help
PySide help module.

%files help
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtHelp.so
%_datadir/PySide/typesystems/typesystem_help.*

#------------------------------------------------------------------------------

%package multimedia
Summary: PySide multimedia module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description multimedia
PySide multimedia module.

%files multimedia
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtMultimedia.so
%_datadir/PySide/typesystems/typesystem_multimedia*

#------------------------------------------------------------------------------

%package network
Summary: PySide network module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description network
PySide network module.

%files network
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtNetwork.so
%_datadir/PySide/typesystems/typesystem_network.*

#------------------------------------------------------------------------------

%package opengl
Summary: PySide opengl module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description opengl
PySide opengl module.

%files opengl
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtOpenGL.so
%_datadir/PySide/typesystems/typesystem_opengl*

#------------------------------------------------------------------------------

%package script
Summary: PySide script module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description script
PySide script module.

%files script
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtScript.so
%_datadir/PySide/typesystems/typesystem_script.*

#------------------------------------------------------------------------------

%package scripttools
Summary: PySide scripttool module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description scripttools
PySide scripttool module.

%files scripttools
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtScriptTools.so
%_datadir/PySide/typesystems/typesystem_scripttools.*

#------------------------------------------------------------------------------

%package sql
Summary: PySide sql module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description sql
PySide sql module.

%files sql
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtSql.so
%_datadir/PySide/typesystems/typesystem_sql.*

#------------------------------------------------------------------------------

%package svg
Summary: PySide svg module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description svg
PySide svg module.

%files svg
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtSvg.so
%_datadir/PySide/typesystems/typesystem_svg.*

#------------------------------------------------------------------------------

%package test
Summary: PySide test module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description test
PySide test module.

%files test
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtTest.so
%_datadir/PySide/typesystems/typesystem_test.*

#------------------------------------------------------------------------------

%package uitools
Summary: PySide uitools module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description uitools
PySide uitools module.

%files uitools
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtUiTools.so
%_datadir/PySide/typesystems/typesystem_uitools.*

#------------------------------------------------------------------------------

%package webkit
Summary: PySide webkit module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description webkit
PySide webkit module.

%files webkit
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtWebKit.so
%_datadir/PySide/typesystems/typesystem_webkit*

#------------------------------------------------------------------------------

%package xmlpatterns
Summary: PySide xmlpatterns module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description xmlpatterns
PySide xmlpatterns module.

%files xmlpatterns
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtXmlPatterns.so
%_datadir/PySide/typesystems/typesystem_xmlpatterns*

#------------------------------------------------------------------------------

%package xml
Summary: PySide xml module
Group: Development/KDE and Qt
Requires: pyside-core = %{version}

%description xml
PySide xml module.

%files xml
%defattr(-,root,root,-)
%py_platsitedir/PySide/QtXml.so
%_datadir/PySide/typesystems/typesystem_xml.*

#------------------------------------------------------------------------------

%define major 1
%define libname %mklibname pyside %{major}

%package -n %{libname}
Summary: PySide core library
Group: Development/KDE and Qt
Obsoletes: %{_lib}pysidebase0 < 0.4.0

%description -n %{libname}
PySide core library.

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/libpyside-python%{py_ver}.so.%{major}*

#------------------------------------------------------------------------------

%package devel
Summary: PySide devel files
Group: Development/KDE and Qt
Requires: %{name} = %{version}
Requires: %{libname} = %{version}

%description devel
PySide devel files.

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/cmake/*

#------------------------------------------------------------------------------

%prep
%setup -qn %name-qt%{qtver}+%{version}

%build
%define Werror_cflags %nil
sed 's/-Wno-strict-aliasing/-fno-strict-aliasing/' -i CMakeLists.txt
%cmake \
	-DQT_SRC_DIR=%buildroot/%qt4dir \
	-DQT_PHONON_INCLUDE_DIR=%_includedir/phonon
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %buildroot


%changelog
* Wed Jun 08 2011 Paulo Belloni <paulo@mandriva.com> 1.0.3-2
+ Revision: 683176
- Fixing no-strict-aliasing flag. We need to inform upstream.

* Sat May 28 2011 Funda Wang <fwang@mandriva.org> 1.0.3-1
+ Revision: 680405
- new version 1.0.3

* Sun May 01 2011 Funda Wang <fwang@mandriva.org> 1.0.2-1
+ Revision: 661160
- new version 1.0.2

* Sat Apr 02 2011 Funda Wang <fwang@mandriva.org> 1.0.1-1
+ Revision: 649943
- update to new version 1.0.1

* Fri Mar 04 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-1
+ Revision: 641624
- Update to 1.0.0 final

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.rc1.1
+ Revision: 640599
- new version 1.0 rc1

* Fri Feb 04 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta5.1
+ Revision: 635749
- 1.0.0 beta5

* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta4.1
+ Revision: 633842
- update file list
- New version 1.0 beta4

* Tue Jan 18 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.beta3.1
+ Revision: 631453
- Update to beta3

* Mon Dec 20 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta2.1mdv2011.0
+ Revision: 623333
- new version 1.0 beta2

* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta1.1mdv2011.0
+ Revision: 601863
- new version 1.0.0 beta1

* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 0.4.2-2mdv2011.0
+ Revision: 601762
- fix file list
- bump req
- new version 0.4.2
- BR gr-devel
- new version 0.4.1

  + Jani Välimaa <wally@mandriva.org>
    - rebuild for python 2.7

* Fri Aug 06 2010 Funda Wang <fwang@mandriva.org> 0.4.0-2mdv2011.0
+ Revision: 566629
- fix obsoletes

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2011.0
+ Revision: 566452
- New version 0.4.0
- rebuild for new boost

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.2.3-2mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Thu Feb 04 2010 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2010.1
+ Revision: 500805
- fix file list
- BR boostpythongenerator
- New version 4.6+0.2.3

* Fri Sep 25 2009 Helio Chissini de Castro <helio@mandriva.com> 0.2-1mdv2010.0
+ Revision: 449174
- Fixed cmake module install
- New upstream version

* Mon Aug 24 2009 Helio Chissini de Castro <helio@mandriva.com> 0.1.4.5-1mdv2010.0
+ Revision: 420627
- Need to set phono dir for now
- Missing buildrequires
- imported package pyside


